#pragma once

#include <pybind11/pybind11.h>
#include <pybind11/stl.h>  // 支持 std::vector, std::map 等
#include <nlohmann/json.hpp>
#include <string>

namespace py = pybind11;
using json = nlohmann::json;

namespace netcore {

json py_dict_to_json(py::dict d);
py::dict json_to_py_dict(const json& j);
}